ApiEcsDownloadAndDistributeArgs (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiEcsDownloadAndDistributeArgs

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiEcsDownloadAndDistributeArgs

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiEcsDownloadAndDistributeArgs
      extends Object

  Represents arguments for downloading and distributing a file from ECS parcel. This class encapsulates parameters needed for the download and distribution process.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiEcsDownloadAndDistributeArgs()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getPackageName()` Gets the name of the file to be downloaded and distributed.
    `String` | `getRemoteRepoUrl()` Gets the URL of the remote repository from which to download the file.
    `String` | `getWorkDir()` Gets the working directory for the download and distribution process.
    `int` | `hashCode()`
    `ApiEcsDownloadAndDistributeArgs` | `packageName(String packageName)`
    `ApiEcsDownloadAndDistributeArgs` | `remoteRepoUrl(String remoteRepoUrl)`
    `void` | `setPackageName(String packageName)`
    `void` | `setRemoteRepoUrl(String remoteRepoUrl)`
    `void` | `setWorkDir(String workDir)`
    `String` | `toString()`
    `ApiEcsDownloadAndDistributeArgs` | `workDir(String workDir)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiEcsDownloadAndDistributeArgs

          public ApiEcsDownloadAndDistributeArgs()

  - ### Method Detail

    - #### workDir

          public ApiEcsDownloadAndDistributeArgs workDir(String workDir)

    - #### getWorkDir

          public String getWorkDir()

      Gets the working directory for the download and distribution process.
      Returns:
        workDir

    - #### setWorkDir

          public void setWorkDir(String workDir)

    - #### packageName

          public ApiEcsDownloadAndDistributeArgs packageName(String packageName)

    - #### getPackageName

          public String getPackageName()

      Gets the name of the file to be downloaded and distributed.
      Returns:
        packageName

    - #### setPackageName

          public void setPackageName(String packageName)

    - #### remoteRepoUrl

          public ApiEcsDownloadAndDistributeArgs remoteRepoUrl(String remoteRepoUrl)

    - #### getRemoteRepoUrl

          public String getRemoteRepoUrl()

      Gets the URL of the remote repository from which to download the file.
      Returns:
        remoteRepoUrl

    - #### setRemoteRepoUrl

          public void setRemoteRepoUrl(String remoteRepoUrl)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.